<?php


namespace crmeb\listens;


use app\common\repositories\store\order\StoreOrderRepository;
use crmeb\interfaces\ListenerInterface;
use Swoole\Timer;

class GongAfterListen implements ListenerInterface
{
    public function handle($event): void
    {
        //TODO 微唯宝退货退款
        $storeOrderRepository = app()->make(StoreOrderRepository::class);
        Timer::tick(600000, function () use ($storeOrderRepository) {
            $storeOrderRepository -> douhuomall_after_status();
        });
    }
}